org.modeshape.jcr.query.engine.process

## Class RestartableSequence.QueueBufferSupplier

- java.lang.Object
- - org.modeshape.jcr.query.engine.process.RestartableSequence.QueueBufferSupplier

- All Implemented Interfaces:
    AutoCloseable, Iterable<BufferedRows.BufferedRow>, CloseableSupplier<BufferManager.QueueBuffer<BufferedRows.BufferedRow>>, Supplier<BufferManager.QueueBuffer<BufferedRows.BufferedRow>>
  Enclosing class:
    RestartableSequence

      protected class RestartableSequence.QueueBufferSupplier
      extends Object
      implements CloseableSupplier<BufferManager.QueueBuffer<BufferedRows.BufferedRow>>, Iterable<BufferedRows.BufferedRow>

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RestartableSequence.QueueBufferSupplier(BufferManager bufferMgr)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `BufferManager.QueueBuffer<BufferedRows.BufferedRow>` | `get()` Get the object.
    `Iterator<BufferedRows.BufferedRow>` | `iterator()`
    `protected long` | `size()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RestartableSequence.QueueBufferSupplier

          protected RestartableSequence.QueueBufferSupplier(BufferManager bufferMgr)

  - ### Method Detail

    - #### iterator

          public Iterator<BufferedRows.BufferedRow> iterator()

      Specified by:
        `iterator` in interface `Iterable<BufferedRows.BufferedRow>`

    - #### size

          protected long size()

    - #### get

          public BufferManager.QueueBuffer<BufferedRows.BufferedRow> get()

      Description copied from interface: `Supplier`
      Get the object. This method returns the same instance each time this method is called.
      Specified by:
        `get` in interface `Supplier<BufferManager.QueueBuffer<BufferedRows.BufferedRow>>`
      Returns:
        the object

    - #### close

          public void close()

      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `CloseableSupplier<BufferManager.QueueBuffer<BufferedRows.BufferedRow>>`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.